Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 188663 - +Script node is not always displayed
+Script node is not always displayed
Status: RESOLVED WONTFIX
Product: javafx
Classification: Unclassified
Component: Debugger
6.x
PC Windows XP
: P2 (vote)
: 7.0
Assigned To: Michal Skvor
issues@javafx
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-14 13:07 UTC by Martin Ryzl
Modified: 2011-05-16 13:53 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Ryzl 2010-07-14 13:07:03 UTC
Consider following code:

var b = 10;   // << breakpoint 1
var a = bind b; //  << breakpoint 2
b = 13;  // << breakpoint 3

println(a);  // << breakpoint 4

1. when stopped on breakpoint 1, +Script node is visible
2. breakpoint 2 won't be triggered (at least for now) due to another issue
3. when stopped on 3 or 4, +Script node is not visible

apparently the difference is that in the first case the context is Main$Script (non-static context) and in the second case it is just Main.javafx$run (static context). The (java) debugger distinguish between the cases and passes javafx debugger information which javafx debugger resolves incorrectly.
Comment 1 Michal Skvor 2010-08-03 13:46:49 UTC
The Script node is visible only when "this" variable is present on the debugger level. I agree that Script should be always visible but to fix it I need fix from the fxjdi side.
Comment 2 David Strupl 2011-05-16 13:53:06 UTC
Closing all bugs filed against JavaFX 1.x as wontfix. We will support JavaFX 2.0 - please keep opened only bugs against the new release. Thanks.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo